Subject: Re: [Mip4] [Issue 18] The FA is rejecting with Error Code 136 which is meant for the home agent

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 12 Mar 2004 13:49:29 -0800

Hello folks,

I have added text for a new status code for
the Registration Reply, and made the repair
suggested by Jayshree.  I propose that this
issue be marked as "accepted" and closed.

Regards,
Charlie P.

"Charles E. Perkins" wrote:
> 
> Hello Jayshree,
> 
> Yes, you are quite correct.  I have changed it within
> the revised document now -- thanks!
> 
> Regards,
> Charlie P.
> 
> Jayshree Bharatia wrote:
> >
> > Hello Charlie,
> >
> > I would think that this new code value you are defining will be for the
> > Registration Reply message (and not for Registration Request). My suggestion
> > is inline...
> >
> > Thanks,
> > Jayshree
> >
> > > -----Original Message-----
> > > From: Charles E. Perkins [mailto:[email-masked]]
> > > Sent: Wednesday, January 28, 2004 6:15 PM
> > > To: [email-masked]
> > > Subject: [Mip4] [Issue 18] The FA is rejecting with Error
> > > Code 136 which is meant for the home agent
> > >
> > >
> > >
> > > Hello folks,
> > >
> > > Please refer to previous discussion at the following URL:
> > >         http://www.mip4.org/issues/tracker/mip4/issue18
> > > as necessary.
> > >
> > > The proposed solution: create a new error code.
> > >
> > > Existing text:
> > >    if the foreign agent does not serve the mobile node as a
> > > home agent,
> > >    the foreign agent rejects the Registration Request with code 136
> > >    (unknown home agent address).
> > >
> > > New text:
> > >    if the foreign agent does not serve the mobile node as a
> > > home agent,
> > >    the foreign agent rejects the Registration Request with code
> > >    TBD-IANA (Invalid Home Agent Address).
> > >
> > > New text in IANA Considerations:
> > >    In this revised specification, a new Code value (for the
> > > field in the
> > >    Registration Request message) is needed within the range typically
> > >    used for Foreign Agent messages.  This error code is needed to
> > >    indicate the status "Invalid Home Agent Address".  See
> > > section 3.7.2
> > >    for details.
> > >
> > [JB] New text in IANA Considerations:
> > In this revised specification, a new Code value (for the field in the
> > Registration Reply message) is needed within ...
> > >
> > > Regards,
> > > Charlie P.
> > >
> > > --
> > > Mip4 mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/mip4
> > >
> 
> --
> Mip4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mip4

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/